Page MenuHomePhabricator

Bahrain & Oman donation forms - minimum amount error
Closed, ResolvedPublic1 Estimated Story Points

Description

https://donate.wikimedia.org/w/index.php?title=Special:LandingPage&uselang=en&country=BH throws an error after specifying 5.00 BHD and then selecting a card:

This was pointed out by a donor, and though BH volume is not large, would be great to fix.

Same thing for Oman:

Event Timeline

MBeat33 created this task.Oct 17 2017, 4:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 17 2017, 4:15 PM
MBeat33 renamed this task from Bahrain donation form - minimum amount error to Bahrain & Oman donation forms - minimum amount error.Oct 19 2017, 1:59 PM
MBeat33 updated the task description. (Show Details)

Looks like donatewiki is correctly sending amount=5 in the URL, so it seems the problem is on the payments end.

We just got another ticket related to this issue: #461176:

"I'm trying to donate 10.00 Bahraini Dinars (around 26.50 US dollars) but the website is saying it can't process amounts more than $10,000."

Ejegg added a subscriber: Ejegg.Jul 31 2018, 8:58 PM

Oh shoot, BHD is one of those currencies that takes three decimal points - I bet that has something to do with it. This is probably stopping us from getting anything at all in that currency!

@MBeat33 reports "a donor says the form increased his amount by factor of 1k, sent screenshot - maybe a currency display ‘.’ issue" for Oman, seems like it could be related to this. http://donate.wikimedia.org/?country=OM

Thanks, @Pcoombe I had forgotten about this task! The donor ended up giving us an enormous donation by mistake. Here is the screenshot of what they tried to donate, which became Ingenico 4000265890:

I tried but was unable to replicate this on the OM landing page.

Change 468599 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Stop breaking 3 decimal currencies in validation

https://gerrit.wikimedia.org/r/468599

Ejegg claimed this task.Oct 19 2018, 3:23 PM
Ejegg triaged this task as High priority.
Ejegg set the point value for this task to 1.

Aha, we were doing some dumb amount fiddling in validation, trying to second guess the browser and user's number formatting. I've got the minimum viable fix up for review, but we maybe should drop the whole chunk of code that does the reformatting.

Change 468599 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Stop breaking 3 decimal currencies in validation

https://gerrit.wikimedia.org/r/468599

Ejegg added a comment.Oct 26 2018, 4:29 PM

@MBeat33 and @Pcoombe , this should be working correctly now

Great, thank you @Ejegg

Ejegg closed this task as Resolved.Oct 29 2018, 9:32 PM